Bug 1123854 - Tcsh does not support upstream's $anyerror variable
Summary: Tcsh does not support upstream's $anyerror variable
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tcsh
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: David Kaspar [Dee'Kej]
QA Contact: Iveta Wiedermann
URL:
Whiteboard:
Depends On:
Blocks: 1129703
TreeView+ depends on / blocked
 
Reported: 2014-07-28 13:27 UTC by Pavel Raiskup
Modified: 2015-11-19 14:28 UTC (History)
4 users (show)

Fixed In Version: tcsh-6.18.01-8.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 1129703 1256653 (view as bug list)
Environment:
Last Closed: 2015-11-19 14:28:49 UTC


Attachments (Terms of Use)
Reintroduce $anyerror as is done in upstream (3.17 KB, patch)
2014-07-28 14:14 UTC, Pavel Raiskup
no flags Details | Diff
Proposed bugfix (12.92 KB, patch)
2015-07-10 12:03 UTC, David Kaspar [Dee'Kej]
praiskup: review+
Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2015:2431 normal SHIPPED_LIVE tcsh bug fix update 2015-11-19 11:33:54 UTC

Description Pavel Raiskup 2014-07-28 13:27:23 UTC
IIRC upstream tcsh's git-log, from tcsh 6.17.06, the $anyerror variable works
that way:

    $ echo $?anyerror
    1
    $ false | true ; echo $?
    1
    $ set anyerror ; false | true ; echo $?
    1
    $ unset anyerror ; false | true ; echo $?
    0

From tcsh617.el5 we introduced (yet?) upstream-incompatible
'$tcsh_posix_status' variable, which has opposite meaning.  For compatibility
with older RHEL and upstram, we need to support both 'anyerror' and
'tcsh_posix_status'.  Currently, 'anyerror' variable is not working in RHEL7;
where is tcsh-6.18.00.

This bug exists to re-introduce $anyerror variable.

References: bug 1025703, bug 759132

Comment 2 Pavel Raiskup 2014-07-28 14:14:45 UTC
Created attachment 921770 [details]
Reintroduce $anyerror as is done in upstream

Comment 3 Pavel Raiskup 2014-08-13 13:41:13 UTC
JFTR, upstream is not interested in $tcsh_posix_status support:
http://mx.gw.com/pipermail/tcsh-bugs/2014-July/000884.html

Also, upstream has now clear documentation how $anyerror works:
http://mx.gw.com/pipermail/tcsh-bugs/2014-July/000890.html

Comment 4 Pavel Raiskup 2014-08-27 15:08:41 UTC
I tried to wait until 6.19 release but it was postponed, so fixing the
issue for f21+:

http://pkgs.fedoraproject.org/cgit/tcsh.git/commit/?id=804e62644c28b1e4aea8

Comment 5 Pavel Raiskup 2014-08-27 15:13:16 UTC
Well, I swapped bz numbers in my head, reopening.  The patch from comment #4 is
reusable in RHEL7.

QA: test case added

Comment 9 David Kaspar [Dee'Kej] 2015-07-10 12:03:44 UTC
Created attachment 1050655 [details]
Proposed bugfix

Comment 17 errata-xmlrpc 2015-11-19 14:28:49 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2015-2431.html


Note You need to log in before you can comment on or make changes to this bug.